[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#604835: gcc-4.3 (cross): enable gobjc cross builds

Package: gcc-4.3
Version: 4.3.5-4
Severity: wishlist
Tags: patch


  Could you please enable gobjc cross builds on gcc-4.3?

--- gcc-4.3x/gcc-4.3-4.3.5/debian/rules.defs    2010-11-24 09:25:36.000000000 +0000
+++ gcc-4.3xx/gcc-4.3-4.3.5/debian/rules.defs   2010-11-24 16:52:45.176900237 +0000
@@ -549,7 +549,7 @@
 ifeq ($(DEB_CROSS),yes)
   ifneq (objc, $(findstring objc,$(WITH_LANG)))
-    with_objc := disabled for cross compiler package
+    with_objc := yes
 with_objc := $(call envfilt, objc, obj-c++, , $(with_objc))

Best regards,

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gcc-4.3 depends on:
ii  binutils                      2.20.1-15  The GNU assembler, linker and bina
ii  cpp-4.3                       4.3.5-4    The GNU C preprocessor
ii  gcc-4.3-base                  4.3.5-4    The GNU Compiler Collection (base 
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.5.1-9  GCC support library
ii  libgomp1                      4.5.1-9    GCC OpenMP (GOMP) support library

Versions of packages gcc-4.3 recommends:
ii  libc6-dev                     2.11.2-7   Embedded GNU C Library: Developmen

Versions of packages gcc-4.3 suggests:
pn  gcc-4.3-doc                   <none>     (no description available)
pn  gcc-4.3-locales               <none>     (no description available)
pn  gcc-4.3-multilib              <none>     (no description available)
pn  libgcc1-dbg                   <none>     (no description available)
pn  libgomp1-dbg                  <none>     (no description available)
pn  libmudflap0-4.3-dev           <none>     (no description available)
pn  libmudflap0-dbg               <none>     (no description available)

-- no debconf information

Reply to: